package cn.estsh.i3plus.pojo.platform.bean;

import io.swagger.annotations.Api;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description :冷热数据分离消息队列消息
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/9/23 13:59
 * @Modify:
 **/
@Data
@Api(value = "冷热分离消息")
public class DataSeparatorMessage implements Serializable {

    private static final long serialVersionUID = -1;

    /**
     * 需要迁移数据的 id
     */
    private Long id;
    /**
     * 迁移数据的关联类
     */
    private String refClass;
    /**
     * 需要迁移到的目的地，eg: mysql,sqlServer,es等
     */
    private String destUrl;
    /**
     * 目标迁移位置的的账号
     */
    private String userName;
    /**
     * 目标迁移位置的密码
     */
    private String password;
    /**
     * 目标迁移的表名
     */
    private String destTableName;
    /**
     * 迁移的类型，是迁移到es，mysql,sqlserver等
     */
    private String classification;
    /**
     * 目标库名
     */
    private String databaseName;

}
